> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all passkey events for a user

> Returns a list of passkey events for a user by given `userID`.

The list can be sorted and filtered:
- The `sort` parameter supports the following fields: `created` and `eventType`.
- The `filter` parameter supports the following fields: `eventType`.

Refer to the parameter description for more details on sorting in different directions and using the filter with different operators.




## OpenAPI

````yaml https://backendapi.cloud.corbado.io/v2/openapi.yaml get /users/{userID}/passkeyEvents
openapi: 3.0.3
info:
  version: 2.0.0
  title: Corbado Backend API
  description: >
    # Introduction

    This documentation gives an overview of all Corbado Backend API calls to
    implement passwordless authentication with Passkeys.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://backendapi.corbado.io/v2
security:
  - basicAuth: []
tags:
  - name: Users
    description: All API calls to manage users
  - name: Sessions
    description: All API calls to manage sessions
  - name: Challenges
    description: All API calls to manage challenges
  - name: Identifiers
    description: All API calls to manage login identifiers
  - name: Passkeys
    description: All API calls for passkey flows
  - name: SSO
    description: All API calls for SSO flows
  - name: AuthEvents
    description: All API calls to manage authentication events
  - name: PasskeyEvents
    description: All API calls to manage passkey events
  - name: ProjectConfig
    description: All API calls to manage project configurations
  - name: ConnectTokens
    description: All API calls to manage connectTokens
  - name: PasskeyChallenges
    description: All API calls to manage passkey challenges
  - name: WebhookEndpoints
    description: All API calls to manage webhook endpoints
  - name: PasswordManagers
    description: All API calls to manage password managers
  - name: ClientEnvs
    description: All API calls to manage client environments
  - name: Devices
    description: All API calls to manage devices
  - name: Exports
    description: All API calls to manage project export files
paths:
  /users/{userID}/passkeyEvents:
    get:
      tags:
        - PasskeyEvents
      summary: List all passkey events for a user
      description: >
        Returns a list of passkey events for a user by given `userID`.


        The list can be sorted and filtered:

        - The `sort` parameter supports the following fields: `created` and
        `eventType`.

        - The `filter` parameter supports the following fields: `eventType`.


        Refer to the parameter description for more details on sorting in
        different directions and using the filter with different operators.
      operationId: PasskeyEventList
      parameters:
        - name: sort
          in: query
          description: >
            Field and direction to sort results. Use the format `fieldName:asc`
            or `fieldName:desc`.
          required: false
          schema:
            type: string
            example: createdAt:desc
        - name: filter[]
          in: query
          description: >
            Filter results by specific fields and conditions. Format:
            `<field>:<operator>:<value>`.

            Supported operators include:  
              - `eq`: equals (e\.g\. `email:eq:mail@example\.com` matches items where email equals mail@example\.com)  
              - `gt`: greater than (e\.g\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  
              - `lt`: less than (e\.g\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
          examples:
            filterEmail:
              summary: Filter by email address
              value:
                - identifierType:eq:email
                - identifierValue:eq:mail@example.com
            filterTimepoint:
              summary: Filter by date after July 20, 2021
              value:
                - timePoint:gt:2021-07-20T00:00:00
        - name: page
          in: query
          description: |
            The page number to retrieve for paginated results.
          required: false
          schema:
            type: integer
            default: 1
            example: 1
        - name: pageSize
          in: query
          description: |
            The number of items to return per page. Useful for pagination.
          required: false
          schema:
            type: integer
            default: 10
            example: 20
        - $ref: '#/components/parameters/userID'
      responses:
        '200':
          description: List of all matching passkey events.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/passkeyEventList'
        default:
          $ref: '#/components/responses/error'
      security:
        - basicAuth: []
components:
  parameters:
    userID:
      name: userID
      in: path
      description: |
        Unique identifier of the user. Format: `usr-<number>`.
      required: true
      schema:
        type: string
        example: usr-4693224802260150919
  schemas:
    passkeyEventList:
      type: object
      required:
        - passkeyEvents
        - paging
      properties:
        passkeyEvents:
          type: array
          items:
            $ref: '#/components/schemas/passkeyEvent'
        paging:
          type: object
          required:
            - page
            - totalPages
            - totalItems
          properties:
            page:
              description: current page returned in response
              type: integer
              default: 1
            totalPages:
              description: total number of pages available
              type: integer
            totalItems:
              description: total number of items available
              type: integer
    passkeyEvent:
      type: object
      required:
        - passkeyEventID
        - userID
        - eventType
        - created
        - createdMs
      properties:
        passkeyEventID:
          type: string
        userID:
          description: ID of the user
          type: string
        eventType:
          $ref: '#/components/schemas/passkeyEventType'
        clientEnvID:
          type: string
        processID:
          type: string
        credentialID:
          type: string
        expires:
          type: integer
        created:
          description: >-
            Timestamp of when the entity was created in yyyy-MM-dd'T'HH:mm:ss
            format
          type: string
        createdMs:
          type: integer
          format: int64
    passkeyEventType:
      type: string
      enum:
        - user-login-blacklisted
        - login-explicit-abort
        - login-error
        - login-error-untyped
        - login-one-tap-switch
        - user-append-after-cross-platform-blacklisted
        - user-append-after-login-error-blacklisted
        - append-credential-exists
        - append-explicit-abort
        - append-error
        - login-no-credentials
        - manage-error
        - manage-credential-exists
  responses:
    error:
      description: Error
      content:
        application/json:
          schema:
            allOf:
              - type: object
                required:
                  - httpStatusCode
                  - message
                  - requestData
                  - runtime
                properties:
                  httpStatusCode:
                    description: HTTP status code of operation
                    type: integer
                    format: int32
                  message:
                    type: string
                    example: OK
                  requestData:
                    description: Data about the request itself, can be used for debugging
                    type: object
                    required:
                      - requestID
                    properties:
                      requestID:
                        description: >-
                          Unique ID of request, you can provide your own while
                          making the request, if not the ID will be randomly
                          generated on server side
                        type: string
                        example: req-557...663
                      link:
                        description: Link to dashboard with details about request
                        type: string
                        example: >-
                          https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx
                  runtime:
                    description: Runtime in seconds for this request
                    type: number
                    format: float
                    example: 0.06167686
              - type: object
                required:
                  - error
                properties:
                  data:
                    type: object
                  error:
                    type: object
                    required:
                      - type
                    properties:
                      type:
                        description: Type of error
                        type: string
                      details:
                        description: Details of error
                        type: string
                      validation:
                        description: Validation errors per field
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                      links:
                        description: Additional links to help understand the error
                        type: array
                        items:
                          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Basic authentication is used to authenticate requests to the Backend
        API. The username is the project ID and the password is the API secret.


        The project ID and API secret can be found in the [Developer
        Panel](https://app.corbado.com/settings/api-secrets).

````